from RPi import GPIO


class PWM_led():
    def __init__(self, pin):
        self.pin = pin

        GPIO.setmode(GPIO.BCM)

        GPIO.setup(self.pin, GPIO.OUT)
        self.led = GPIO.PWM(self.pin, 1000)
        self.start_signal()

    def start_signal(self):
        self.led.start(0)

    def change_duty_cycle(self, percentage):
        self.led.ChangeDutyCycle(percentage)

    def change_frequency(self, frequency):
        self.led.ChangeFrequency(frequency)

    def stop_wave(self):
        self.led.stop()

