from RPi import GPIO
import time

class UltrasonicSensor:
    def __init__(self, trigger, echo):

        self.trigger = trigger
        self.echo = echo

        GPIO.setwarnings(False)
        GPIO.setmode(GPIO.BCM)

        GPIO.setup(self.trigger, GPIO.OUT)
        GPIO.setup(self.echo, GPIO.IN)

    def distance(self):
        GPIO.output(self.trigger, True)
        time.sleep(0.00001)
        GPIO.output(self.trigger, False)

        StartTime = time.time()
        StopTime = time.time()

        while GPIO.input(self.echo) == 0:
            StartTime = time.time()

        while GPIO.input(self.echo) == 1:
            StopTime = time.time()

        TimeElapsed = StopTime - StartTime
        distance = (TimeElapsed * 34300) / 2

        return distance

