//const IP = window.location.hostname + 'http://169.254.10.1:5000';
//const socket = io.connect('http://169.254.10.1:5000');

const IP = location.host + ':5000';
const socket = io.connect(IP);

let $navDestinationTargets, $mobileMenu, main;

const getDomElements = () => {
  $navDestinationTargets = document.querySelectorAll(".js-toggle-menu");
  main = document.querySelector("main");
  $mobileMenu = document.querySelector(".l-header__toggle");
  $mobileMenu.addEventListener("click",onHandlerMenuClick);
}

const init = function () {
  getDomElements();

  console.log("init")
    
  socket.on('connected', () => {
      console.log("connected")
  });

};

document.addEventListener('DOMContentLoaded', () => {
    console.info('DOM loaded');
    init();
});


const onHandlerMenuClick = () => {
  $navDestinationTargets.forEach((element) => {
    element.classList.toggle('is-active');
    if (element.classList.contains('is-active')) {
      main.classList.add('disable-scroll');
    } else {
      main.classList.remove('disable-scroll');
    }
  });
}
