
const onHandlerButtonClick = () => {
    window.location = "patient.html"
}

const initCheck = () => {

    socket.emit("checkPatientExists")

    socket.on('patientExists', booleanPatient => {
        if(!booleanPatient){
            document.querySelector(".js-pop-up-patient").classList.remove("is-hidden");
            document.querySelector(".js-container-patient").classList.remove("is-hidden");
            document.querySelector(".l-header").style.pointerEvents = "none";
        
        }else {
            
            document.querySelector(".js-pop-up-patient").classList.add("is-hidden");
            document.querySelector(".js-container-patient").classList.add("is-hidden");
            document.querySelector(".l-header").style.pointerEvents = "initial";
        }
    });
    socket.on('Patient', patientData => {
        const patient = JSON.parse(patientData)
        document.querySelector(".js-patient-name").innerHTML= patient[0]["FirstName"];
    });

    $button  = document.querySelector(".c-pop-up__button");
    $button.addEventListener('click', onHandlerButtonClick);



}

document.addEventListener('DOMContentLoaded', () => {
    console.info('DOM loaded');
    initCheck();
});