const IP = window.location.hostname + 'http://169.254.10.1:5000';
const socket = io.connect('http://169.254.10.1:5000');

const init =  () => {
    document.querySelector(".button").addEventListener("click", OnHandlerClick)
    console.log("init")
    
    socket.on('connected', () => {
        console.log("connected")
    });

    socket.on("showSensorDataTemp", callbackShowSensorDataTemp)
    socket.on("showSensorDataDist", callbackShowSensorDataDist)

};

const OnHandlerClick = () => {
    console.log("clicked")
    socket.emit("buttonClicked")
}

const callbackShowSensorDataTemp = (data) => {
    console.log(data + "°C");
}

const callbackShowSensorDataDist = (data) => {
    console.log(data + "Cm");
}

document.addEventListener('DOMContentLoaded',  () => {
    console.info('DOM geladen');
    init();
});
